# doForAllWithCurrentPaging

inline fun < T > doForAllWithCurrentPaging (initialPagination: Pagination = FirstPagePagination(), block: ( Pagination ) -> PaginationResult < T >)(source)

Alias for doAllWithCurrentPaging. Executes block for each page in a paginated sequence.

#### Parameters

initialPagination

The pagination to start with. Defaults to FirstPagePagination

block

Function that processes each page and returns a PaginationResult

#### Type Parameters

T

The type of items in each page